Subject: ICM and connector splits

From: Scott McMorrow <[email-masked]>
Date: Tue, 10 Jul 2001 00:58:02 -0700

All,

I would like to initiate a discussion for ICM concerning connectors
that can be split into multiple mating connectors.   Examples of
this are pcb headers that can accomodate two or more mating
connectors.  Edge card connectors with multiple blades which
plug into multiple backplane mates ... etc.

In each of these cases, the connector on one subsystem has
a larger number of pins than each of the mated subsystems, and
multiple subsystems can be mated simultaneously.  Without
an ability to take a large connector  and split it from one side to
the other, it is not possible to automatically map connector models
across a connector in a CAD system.

I would propose a connector [Split] keyword that allows a
connector to be split into multiple smaller mating ports.  A
[Split] would be a new type of mapping function which allows
for one input port and multiple output ports.  It might look like this:

[SplitMap] MateNumber1
Side1            PinSide1       Side2                PinSide2
ModelMapName1    A1             ModelMapName2        A1
ModelMapName1    A2             ModelMapName2        A2
[End SplitMap] MateNumber1

[SplitMap] MateNumber2
ModelMapName1    A20            ModelMapName3        A1
ModelMapName2    A21            ModelMapName3        A2
...
[End SplitMap] MateNumber2

Matrices on the "left" or "input" side of the split would be of the same
size as ModelMapName1 implys.

Matrices on the "right" or "output" side of the split would be of the same
size as the ModelMapName2 or 3 implys.

It is assumed that the ports on the split side of the connector are isolated
and as such no coupling exists across the split boundary.  This is the
case for many real connector systems, but may pose a limitation for some
more complex systems.

With a [SplitMap] defined, a split could be accomplished in the following
way (Do see my comments on the current ICM specification regarding
[Begin Cn Model] blocks to understand the proposed changes I have made
to attach multiple ports to sections.  In this case, a Split - EndSplit block is
similar to a Fork - Endfork block):

Split Example :  (a simple two line model with one section split to two ports)

[Begin Cn Model] MyExample1
  Cn_Model_Type = SLM
  Model_Name = MyModel1
  Model_PinMap = MyModelPinMapA
  Model_PinMap = MyModelPinMapB
  Model_PinMap = MyModelPinMapC
  GSR = 3:1
  MyModelPinMapA
  Cn_Section 1.0 Diagonal_matrix1
  Split MateNumber1
      Cn_Section 1.0 Diagonal_matrix2
      MyModelPinMapB
  EndSplit MateNumber1
  Split MateNumber2
     Cn_Section 1.0 Diagonal_matrix2
     MyModelPinMapC
  EndSplit MateNumber2
[End Cn Model] MyExample1

There may be a more elegant way of doing this.
Your comments are welcome.

regards,

scott

--
Scott McMorrow
Principal Engineer
SiQual, Signal Quality Engineering
18735 SW Boones Ferry Road
Tualatin, OR  97062-3090
(503) 885-1231
http://www.siqual.com